> For the complete documentation index, see [llms.txt](https://docs.fluentbit.io/manual/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fluentbit.io/manual/data-pipeline/outputs/exit.md).

# Exit

Exit Fluent Bit after a number of flushes, records, or seconds.

The *exit* plugin is a utility plugin which causes Fluent Bit to exit after one of the following occurs:

* receiving a set number of records (`record_count`).
* being flushed a set number of times (`flush_count`).
* being flushed after a set number of seconds have transpired (`time_count`).

At least one of these parameters must be set. If more than one is set the plugin exits when any one of the set conditions is met.

## Configuration parameters

| Key            | Description                                   | Default |
| -------------- | --------------------------------------------- | ------- |
| `flush_count`  | Number of flushes to wait for before exiting. | `-1`    |
| `record_count` | Number of records to wait for before exiting. | `-1`    |
| `time_count`   | Number of seconds to wait for before exiting. | `-1`    |

## Get started

The following example uses a `dummy` input to generate records and exits Fluent Bit after 5 records have been received.

{% tabs %}
{% tab title="fluent-bit.yaml" %}

```yaml
pipeline:
  inputs:
    - name: dummy
      tag: test

  outputs:
    - name: exit
      match: '*'
      record_count: 5
```

{% endtab %}

{% tab title="fluent-bit.conf" %}

```
[INPUT]
  Name  dummy
  Tag   test

[OUTPUT]
  Name         exit
  Match        *
  Record_Count 5
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fluentbit.io/manual/data-pipeline/outputs/exit.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
